\"
.\" Standard preamble:
.\" ========================================================================
.de Sh \" Subsection heading
.br
.if t .Sp
.ne 5
.PP
\fB\\$1\fR
.PP
..
.de Sp \" Vertical space (when we can't use .PP)
.if t .sp .5v
.if n .sp
..
.de Vb \" Begin verbatim text
.ft CW
.nf
.ne \\$1
..
.de Ve \" End verbatim text
.ft R
.fi
..
.\" Set up some character translations and predefined strings.  \*(-- will
.\" give an unbreakable dash, \*(PI will give pi, \*(L" will give a left
.\" double quote, and \*(R" will give a right double quote.  \*(C+ will
.\" give a nicer C++.  Capital omega is used to do unbreakable dashes and
.\" therefore won't be available.  \*(C` and \*(C' expand to `' in nroff,
.\" nothing in troff, for use with C<>.
.tr \(*W-
.ds C+ C\v'-.1v'\h'-1p'\s-2+\h'-1p'+\s0\v'.1v'\h'-1p'
.ie n \{\
.    ds -- \(*W-
.    ds PI pi
.    if (\n(.H=4u)&(1m=24u) .ds -- \(*W\h'-12u'\(*W\h'-12u'-\" diablo 10 pitch
.    if (\n(.H=4u)&(1m=20u) .ds -- \(*W\h'-12u'\(*W\h'-8u'-\"  diablo 12 pitch
.    ds L" ""
.    ds R" ""
.    ds C` ""
.    ds C' ""
'br\}
.el\{\
.    ds -- \|\(em\|
.    ds PI \(*p
.    ds L" ``
.    ds R" ''
'br\}
.\"
.\" If the F register is turned on, we'll generate index entries on stderr for
.\" titles (.TH), headers (.SH), subsections (.Sh), items (.Ip), and index
.\" entries marked with X<> in POD.  Of course, you'll have to process the
.\" output yourself in some meaningful fashion.
.if \nF \{\
.    de IX
.    tm Index:\\$1\t\\n%\t"\\$2"
..
.    nr % 0
.    rr F
.\}
.\"
.\" For nroff, turn off justification.  Always turn off hyphenation; it makes
.\" way too many mistakes in technical documents.
.hy 0
.if n .na
.\"
.\" Accent mark definitions (@(#)ms.acc 1.5 88/02/08 SMI; from UCB 4.2).
.\" Fear.  Run.  Save yourself.  No user-serviceable parts.
.    \" fudge factors for nroff and troff
.if n \{\
.    ds #H 0
.    ds #V .8m
.    ds #F .3m
.    ds #[ \f1
.    ds #] \fP
.\}
.if t \{\
.    ds #H ((1u-(\\\\n(.fu%2u))*.13m)
.    ds #V .6m
.    ds #F 0
.    ds #[ \&
.    ds #] \&
.\}
.    \" simple accents for nroff and troff
.if n \{\
.    ds ' \&
.    ds ` \&
.    ds ^ \&
.    ds , \&
.    ds ~ ~
.    ds /
.\}
.if t \{\
.    ds ' \\k:\h'-(\\n(.wu*8/10-\*(#H)'\'\h"|\\n:u"
.    ds ` \\k:\h'-(\\n(.wu*8/10-\*(#H)'\`\h'|\\n:u'
.    ds ^ \\k:\h'-(\\n(.wu*10/11-\*(#H)'^\h'|\\n:u'
.    ds , \\k:\h'-(\\n(.wu*8/10)',\h'|\\n:u'
.    ds ~ \\k:\h'-(\\n(.wu-\*(#H-.1m)'~\h'|\\n:u'
.    ds / \\k:\h'-(\\n(.wu*8/10-\*(#H)'\z\(sl\h'|\\n:u'
.\}
.    \" troff and (daisy-wheel) nroff accents
.ds : \\k:\h'-(\\n(.wu*8/10-\*(#H+.1m+\*(#F)'\v'-\*(#V'\z.\h'.2m+\*(#F'.\h'|\\n:u'\v'\*(#V'
.ds 8 \h'\*(#H'\(*b\h'-\*(#H'
.ds o \\k:\h'-(\\n(.wu+\w'\(de'u-\*(#H)/2u'\v'-.3n'\*(#[\z\(de\v'.3n'\h'|\\n:u'\*(#]
.ds d- \h'\*(#H'\(pd\h'-\w'~'u'\v'-.25m'\f2\(hy\fP\v'.25m'\h'-\*(#H'
.ds D- D\\k:\h'-\w'D'u'\v'-.11m'\z\(hy\v'.11m'\h'|\\n:u'
.ds th \*(#[\v'.3m'\s+1I\s-1\v'-.3m'\h'-(\w'I'u*2/3)'\s-1o\s+1\*(#]
.ds Th \*(#[\s+2I\s-2\h'-\w'I'u*3/5'\v'-.3m'o\v'.3m'\*(#]
.ds ae a\h'-(\w'a'u*4/10)'e
.ds Ae A\h'-(\w'A'u*4/10)'E
.    \" corrections for vroff
.if v .ds ~ \\k:\h'-(\\n(.wu*9/10-\*(#H)'\s-2\u~\d\s+2\h'|\\n:u'
.if v .ds ^ \\k:\h'-(\\n(.wu*10/11-\*(#H)'\v'-.4m'^\v'.4m'\h'|\\n:u'
.    \" for low resolution devices (crt and lpr)
.if \n(.H>23 .if \n(.V>19 \
\{\
.    ds : e
.    ds 8 ss
.    ds o a
.    ds d- d\h'-1'\(ga
.    ds D- D\h'-1'\(hy
.    ds th \o'bp'
.    ds Th \o'LP'
.    ds ae ae
.    ds Ae AE
.\}
.rm #[ #] #H #V #F C
.\" ========================================================================
.\"
.IX Title "policy-spf.peruser 5"
.TH policy-spf.peruser 5
.SH "NAME"
policyd-spf
\-
policyd-spf python per-user configuration
.SH "VERSION"
.IX Header "VERSION"
2\.0\.0

.SH "USAGE"
.IX Header "USAGE"
Usage:
  policyd-spf [/etc/policyd-spf/policyd-spf.conf]

.SH "OTHER DOCUMENTATION"
.IX Header "OTHER DOCUMENTATION"
This documentation assumes you have read Postfix's README_FILES/
SMTPD_POLICY_README and are generally familiar with Sender Policy Framework
(SPF).  See RFC 7208 for details.

man 1 policyd-spf provides general operation documentation for this
package.

See man 5 policyd-spf.conf for configuration file information.
.SH "SYNOPSIS"
.IX Header "SYNOPSIS"

python-policyd-spf operates with a default installed configuration file and 
set of default configuration options that are used if the configuration file
cannot be found.  These options can be changed by changing the installed 
configuration files or through giving a path to an alternate configuration 
file.

Additionally, different configurations can be provided on a per user basis.
This man page describes setup and user of per user (mail recipient)
configurations.  Currently these configurations can only be stored in a text
file.  If there is sufficient interest, other data storage methods may be
supported in the future.

.SH "DESCRIPTION"
.IX Header "DESCRIPTION"

Use of per-user configuration is defined in the application configuration
file with the setting "Per_User".  The value of the setting gives the type and
location of the per-user configuration information.  Currently supported types
is text.  User is defined an email address of a recipient of the message.

Most options available at the application level (See man 5 policyd-spf.conf)
can be adjusted on a per-user basis.  Per-user checks can only be done as part
of smtpd_recipient_restrictions.  Per-user actions are not possible at other
stages of the SMTP dialogue.  The user is not yet known for
smtpd_client_restrictions, smtpd_helo_restrictions, or
smtpd_sender_restrictions.  If used during smtpd_data_restrictions or
smtpd_end_of_data_restrictions, the entire message will be available only if
the message was only to a single recipient.  If per-user configurations are
used when recipient information is not available, warnings will be logged and
the per-user information will be ignored.

The following options cannot be modified on a per user basis: Lookup_Time,
Header_Type, Hide_Receiver, Authserv_Id, Prospective, debugLevel, and Mock.

In addition to specifying individual users, regular expression matching is
also available, but may have performance implications since the entire
user table has to be traversed for each message recipient.

.SH "OPTIONS"
.IX Header "OPTIONS"
\X'ps:'\c
.br
.SH "Text Per-User Configuration File"
.IX Header "Text"

The text file option is useful for testing and when only a small number of
users require per-user configurations.  It is specified in the main
configuration file:

"Per_User = text,/etc/pypolicyd-spf/userconf"

Lines beginning with "#" are treated as comments and ignored.  The location of
the file is determined by the system administrator. No default file is
provided in or installed by the package.

The configuration of the file is a comma separated combination of user and
configuration information, with one line per user's configuration information
(NOTE: due to man page formatting requirements, these lines may be wrapped in
your pager - in the config file, it must be one line per user):

postmaster@example.com,Mail_From_reject=No_Check|PermError_reject=\
False|HELO_reject=SPF_Not_Pass|TestOnly=1|debugLevel=5|\
skip_addresses=127.0.0.0/8,::ffff:127.0.0.0//104,::1//128|TempError_Defer=False
strict@example.com,PermError_reject=True|HELO_reject=SPF_Not_Pass|\
TempError_Defer=True

It is not necessary to specify all configuration parameters for each user,
only those that are different than the overall configuration need to be
specified.

If the specified per user configuration file is missing, an error is logged
and the global configuration is used instead.

.SH "SEE ALSO"
.IX Header "SEE ALSO"
man 1 policyd-spf, man 5 policyd-spf.conf, python-spf,
<http://www.openspf.org>, RFC 7208

.SH "AUTHORS"
.IX Header "AUTHORS"
This version of \fBpolicyd-spf\fR was written by Copyright © 2007-2016,
Scott Kitterman <scott@kitterman.com>.  It is derived from Tumgreyspf,
written by Sean Reifschneider, tummy.com, ltd <jafo@tummy.com>.
.PP
This man-page was created by Scott Kitterman <scott@kitterman.com> and is
licensed under the same terms as the program.
